cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor/subscribers?PageNumber=1&TotalPerPage=10' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/distributor/subscribers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/distributor/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PageNumber": 1,
"TotalSubscribers": 75,
"Subscribers": [
{
"SubscriberId": "TSUID-3dd3c8a9-632e-4415-b790-563444ba01ab",
"Name": "",
"Email": "2025289874@telegent.com",
"PhoneNumbers": [
"+12025289874"
],
"Role": "Subscriber",
"Account": null,
"Subscriptions": []
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Distributors
Get Subscribers
Retrieve a paginated list of all subscribers under the distributor. Returns subscriber details including ID, name, email, phone numbers, role, and associated account information.
What this does: Returns a paginated list of all subscribers across all accounts under the distributor. Use PageNumber and TotalPerPage to page through large result sets. Each record includes the subscriber’s TSUID- and account association.
Next steps:
- Get individual subscriber details —
GET /v1.0/subscribers/get
GET
/
v1.0
/
distributor
/
subscribers
cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor/subscribers?PageNumber=1&TotalPerPage=10' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/distributor/subscribers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/distributor/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PageNumber": 1,
"TotalSubscribers": 75,
"Subscribers": [
{
"SubscriberId": "TSUID-3dd3c8a9-632e-4415-b790-563444ba01ab",
"Name": "",
"Email": "2025289874@telegent.com",
"PhoneNumbers": [
"+12025289874"
],
"Role": "Subscriber",
"Account": null,
"Subscriptions": []
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}⌘I